Available in Classic and VPC
Create an API key for authorization to access and use the APIs registered with API Gateway.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| POST | /api/v1/api-keys |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request syntax
The request syntax is as follows.
{
"apiKeyDescription" : "apiKeyDescription",
"apiKeyName" : "apiKeyName"
}
Request body
The following describes the request body.
| Field | Type | Required | Description |
|---|---|---|---|
apiKeyDescription |
String | Optional | Description for the API to create
|
apiName |
String | Required | Name of the API key to create
|
Request example
The following is a sample request.
curl -X POST 'https://apigateway.apigw.ntruss.com/api/v1/api-keys' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
"apiKeyDescription" : "apiKey-*** Description",
"apiKeyName" : "apiKey-***"
}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"apiKey": {
"apiKeyId": "apiKeyId",
"tenantId": "tenantId",
"apiKeyName": "apiKeyName",
"apiKeyDescription": "apiKeyDescription",
"primaryKey": "primaryKey",
"secondaryKey": "secondaryKey",
"modifier": "modifier",
"isEnabled": true,
"modTime": "2024-05-07T07:08:12Z",
"domainCode": "domainCode"
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"apiKey": {
"apiKeyId": "*****vg079",
"tenantId": "*****02f55ae4436913a6e2c65bab47c",
"apiKeyName": "apiKey-***",
"apiKeyDescription": "apiKey-*** Description",
"primaryKey": "*****yVk37ZE39kJcZScH50cYsJiYf1EJUQ7haPj",
"secondaryKey": "*****WKmt1IVMAlXtg0yJ5jelwwiltuJBFKBDW9",
"modifier": "d12c9fd0-****-****-****-246e96591a38",
"isEnabled": true,
"modTime": "2024-05-07T07:08:12Z",
"domainCode": "PUB"
}
}